Server path:Documentation Index
Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
Use this file to discover all available pages before exploring further.
/unipile-linkedin | Type: Application | PCID required: Yes
Tools
unipile_linkedin_add_post_reaction
Add a reaction to a post Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The id of the account to perform the request from. |
as_organization | string | No | — | Linkedin only Provide the ID of an organization over which you have control to perform the action on its behalf. |
comment_id | string | No | — | The id of the comment to send a reaction to. Linkedin: use the comment id returned by the comments list. |
post_id | string | Yes | — | The id of the post to send a reaction to. <br> Linkedin: use the social_id from the post object (GET post or list posts). The post id visible in url will not work in all case, you can refer here for more details : https://developer.unipile.com/docs/posts-and-comments <br> Instagram Please use the provider_id |
reaction_type | string | No | — | The type of reaction to send. If not provided, it defaults to ‘like’. <br> Instagram: The only supported reaction type is ‘like’. |
unipile_linkedin_add_user_by_identifier
Send an invitation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The id of the account where the user will be added. |
message | string | No | — | An optional message to go with the invitation (max 300 chars). |
provider_id | string | Yes | — | The id of the user to add. It has to be the provider’s id. <br> Instagram: You can use the provider_id or the username of the user. The provider_messaging_id dont work on this route ! |
user_email | string | No | — | The email address of the user when it’s required (Linkedin specific). |
unipile_linkedin_cancel_invitation
Cancel an invitation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The id of the account to perform the request from. |
invitation_id | string | Yes | — | The id of the invitation to cancel. <br>Instagram: Use the ‘provider_id’ retrieved in user profile (not ‘provider_messaging_id’) |
unipile_linkedin_close_job_posting
Close a job posting Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the job offer. |
service | string | No | — | The Linkedin service the job posting depends on. |
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_create_job_posting
Create a job posting Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | An Unipile account id. |
auto_rejection_template | string | No | — | You can define a rejection message template to be automatically sent to applicants that don’t pass screening questions. |
company | object | Yes | — | The company value |
description | string | Yes | — | You can use HTML tags to structure your description. |
employment_status | string | No | — | Employment Status |
job_title | object | Yes | — | Job Title |
location | string | Yes | — | The ID of the parameter. Use type LOCATION on the List search parameters route to find out the right ID. |
recruiter | object | No | — | The recruiter value |
screening_questions | any[] | No | — | Screening Questions |
workplace | string | Yes | — | The workplace value |
unipile_linkedin_create_post
Create a post Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The id of the account to perform the request from. |
as_organization | string | No | — | Linkedin only Provide the ID of an organization over which you have control to perform the action on its behalf. |
attachments | string[] | No | — | On linkedin, image file resolution is limited to 6012px x 6012px max. |
external_link | string | No | — | Linkedin only An external link that should be displayed within a preview card. The URL must also be included in the post textual content. Otherwise, it will be automatically added at the end. |
include_job_posting | string | No | — | Linkedin only The ID of a job posting that should be displayed within a preview card. |
location | string | No | — | Instagram only: The location to tag in the post. |
mentions | object[] | No | — | Linkedin only |
repost | string | No | — | The id of an existing LinkedIn post to publish as repost. For a simple repost without commentary, text should be an empty string. |
text | string | Yes | — | Linkedin: You can add a mention by inserting the index of the corresponding entry from the mentions array between two double braces. Example: Hey {{0}}, check this out ! <br> Instagram: To mention a user, use the @ symbol followed by their username. |
video_thumbnail | string | No | — | Video Thumbnail |
unipile_linkedin_edit_account_owner_profile
Edit own profile Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | No | — | An Unipile account id. |
cover_picture | string | No | — | Cover Picture |
cover_picture_settings | object | No | — | Cover Picture Settings |
custom_link | object | No | — | Custom Link |
education | object | No | — | Add or edit an education. |
experience | object | No | — | Add or edit a professional experience. |
headline | string | No | — | The subtitle of your profile. |
location | object | No | — | The location value |
open_to_work | object | No | — | Open To Work |
picture | string | No | — | The picture value |
picture_settings | object | No | — | Picture Settings |
skills | string[] | No | — | The skills value |
skills_follow | boolean | No | — | Skills Follow |
summary | string | No | — | The ABOUT section of your profile. |
type | string | No | — | The type value |
unipile_linkedin_edit_job_posting
Edit a job posting Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
job_id | string | Yes | — | The id of the job to edit. |
account_id | string | No | — | An Unipile account id. |
auto_rejection_template | string | No | — | You can define a rejection message template to be automatically sent to applicants that don’t pass screening questions. |
company | object | No | — | The company value |
description | string | No | — | You can use HTML tags to structure your description. |
employment_status | string | No | — | Employment Status |
job_title | object | No | — | Job Title |
location | string | No | — | The ID of the parameter. Use type LOCATION on the List search parameters route to find out the right ID. |
recruiter | object | No | — | The recruiter value |
screening_questions | any[] | No | — | Screening Questions |
workplace | string | No | — | The workplace value |
unipile_linkedin_endorse_profile
Endorse a user profile specific skill Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | An Unipile account id. |
profile_id | string | Yes | — | The provider ID of the user, starting with ACo/ADo. |
skill_endorsement_id | number | Yes | — | This is the endorsement_id that can be found along with the skill details on the result of the Retrieve a profile route : https://developer.unipile.com/reference/userscontroller_getprofilebyidentifier |
unipile_linkedin_get_account_owner_profile
Retrieve own profile Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_get_available_contracts
Retrieve contracts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_get_company_profile
Retrieve a company profile Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The ID of the account to trigger the request from. |
identifier | string | Yes | — | The identifier of the company: either the public identifier, the ID or the URN. |
unipile_linkedin_get_followers
List all followers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
user_id | string | No | — | Instagram The user to get the followers from (provider_id or username).<br/>Linkedin The user or company to get the followers from (provider_id only). |
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response.<br/>Linkedin maximum 100<br/>Instagram maximum 200 |
account_id | string | Yes | — | The account to get the followers from. (if user_id is not provided) |
unipile_linkedin_get_following
List all followed accounts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
user_id | string | Yes | — | Instagram only The user to get the followed accounts from (provider_id or username). |
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 1000. |
account_id | string | Yes | — | The account to get the followed accounts from. (if user_id is not provided) |
unipile_linkedin_get_hiring_project_by_id
Retrieve Recruiter hiring project from ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The ID of the account to trigger the request from. |
id | string | Yes | — | The ID of the hiring project. |
unipile_linkedin_get_hiring_projects
Retrieve Recruiter hiring projects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 100. |
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
sort_order | string | No | — | The sorting order for the hiring projects. Default is DESCENDING. |
sort_by | string | No | — | The sorting method for the hiring projects. Default is ACCESSED_TIME. |
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_get_inmail_balance
Get inmail credit balance Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_get_job_applicant
Get a specific applicant to a job posting Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | The ID of the account to trigger the request from. |
applicant_id | string | Yes | — | The ID of the applicant. |
unipile_linkedin_get_job_applicant_resume
Download the resume of a job applicant Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
service | string | No | — | The Linkedin service the applicant depends on. Default is classic. |
applicant_id | string | Yes | — | The ID of the job applicant. |
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_get_job_applicants
List all applicants to a job posting Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
max_years_in_company | number | No | — | Linkedin Recruiter native filter : YEARS IN CURRENT COMPANY. |
min_years_in_company | number | No | — | Linkedin Recruiter native filter : YEARS IN CURRENT COMPANY. |
max_years_in_position | number | No | — | Linkedin Recruiter native filter : YEARS IN CURRENT POSITION. |
min_years_in_position | number | No | — | Linkedin Recruiter native filter : YEARS IN CURRENT POSITION. |
max_years_of_experience | number | No | — | Linkedin Recruiter native filter : YEARS OF EXPERIENCE. |
min_years_of_experience | number | No | — | Linkedin Recruiter native filter : YEARS OF EXPERIENCE. |
exclude_degree | string[] | No | — | Linkedin Recruiter native filter : DEGREES (excluded). |
include_degree | string[] | No | — | Linkedin Recruiter native filter : DEGREES (included). |
ratings | string | No | — | One or more ratings (UNRATED, GOOD_FIT, MAYBE, NOT_A_FIT) separated by commas. |
keywords | string | No | — | Filter results with keywords. |
sort_by | string | No | — | The sorting rule for applicants. Recruiter only. |
service | string | No | — | The Linkedin service the job posting depends on. Default is classic. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 250. |
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
account_id | string | Yes | — | The ID of the account to trigger the request from. |
id | string | Yes | — | The ID of the job offer. |
unipile_linkedin_get_job_posting
Get job offer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
job_id | string | Yes | — | The ID of the job offer. |
service | string | Yes | — | The Linkedin service the job posting depends on. |
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_get_job_postings
List all job postings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 250. |
category | string | No | — | The state of the requested job postings. Default is active. |
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_get_post
Retrieve a post Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
post_id | string | Yes | — | The id of the post. <br> Linkedin: if the URL contains activity, use the numeric id (example: …-activity-7332661864792854528-… => 7332661864792854528). <br> If the URL contains ugcPost, use urn:li:ugcPost:ID. <br> If the URL contains share, use urn:li:share:ID. <br> Instagram: You can use the provider_id or the shortcode found in the post URL. (www.instagram.com/reel/SHORTCODE) |
account_id | string | Yes | — | The id of the account to perform the request from. |
unipile_linkedin_get_profile_by_identifier
Retrieve a profile Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
linkedin_sections | string[] | No | — | A list of profile sections to retrieve detailed information on a LinkedIn profile. LinkedIn may throttle heavy use of full data section requests, so pick only the sections you truly need. Select *_preview to fetch all sections with preview data (first entries as displayed in the LinkedIn profile UI), or * to fetch all sections with full data (not recommended if you’re chaining a lot of profile calls in a short period). You can also combine selectors, for example, ["*_preview", "experience", "skills"] to get all sections in preview plus experience and skills in full. In the response, you may receive empty sections if LinkedIn is throttling your requests. In such case, the throttled_sections field lists the concerned sections. To prevent this, you should add random delay between your calls, and/or not request as many sections as you use to. |
linkedin_api | string | No | — | The LinkedIn API that should be used to get the profile (relative features must be subscribed), if different from classic. |
notify | boolean | No | — | Whether the profile visit should be notified to the viewee or not. Default is false. |
account_id | string | Yes | — | The id of the account to perform the request from. |
identifier | string | Yes | — | Can be the provider’s internal id OR the provider’s public id of the requested user. |
unipile_linkedin_get_raw_data
Get raw data from any endpoint Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
account_id | string | Yes | — | A unique identifier. |
body | object | No | — | A body object to be passed for POST requests. |
bypass_redirect | boolean | No | — | If true, do not follow HTTP redirects automatically. |
encoding | boolean | No | — | Whether the query params or the body (in case of x-www-form-urlencoded content) should be encoded on the go. |
force_api | boolean | No | — | Set to true if you need to use an API for which you might not have an active subscription. |
headers | object | No | — | A headers object to be added to requests if needed. |
method | string | No | — | The method to be used for the request to be performed. Default is GET. |
query_params | object | No | — | A query parameters object. |
request_url | string | Yes | — | An url pointing to some Linkedin API feature |
unipile_linkedin_get_relations
List all relations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
filter | string | No | — | Filter out results by user name. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 1000. |
account_id | string | Yes | — | The account to get the relations from. (if user_id is not provided) |
unipile_linkedin_get_search_parameters_list
Retrieve LinkedIn search parameters Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 100. |
keywords | string | No | — | The keywords to start the search from. Not applicable to the following parameters : EMPLOYMENT_TYPE. |
service | string | No | — | Select the LinkedIn API to be used to query common parameters. Default is CLASSIC. |
type | object | Yes | — | The type of parameter for the requested search. |
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_handle_invitation_received
Handle a received invitation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
invitation_id | string | Yes | — | The invitation ID. |
body | object | Yes | — | Request body |
unipile_linkedin_list_all_posts
List all posts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 100. |
is_company | boolean | No | — | Linkedin only Set it to “true” if the posts are from a company. |
account_id | string | Yes | — | The id of the account to perform the request from. |
identifier | string | Yes | — | The entity’s provider internal id. <br> Linkedin: starts with ACo/ADo for users, while for companies it’s a series of numbers. <br> Instagram: use the provider_id or the username of the user. |
unipile_linkedin_list_all_user_invitations_received
List all invitations received Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 100. |
account_id | string | Yes | — | The id of the account to perform the request from. |
unipile_linkedin_list_all_user_invitations_sent
List all invitations sent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 250. |
account_id | string | Yes | — | The id of the account to perform the request from. |
unipile_linkedin_list_post_comments
List all comments from a post Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 100. |
sort_by | string | No | — | The sort method for the post comments. Default is MOST_RECENT. |
comment_id | string | No | — | The id of the comment to get replies from. <br> Linkedin: use the comment id returned by the comments list. |
account_id | string | Yes | — | The id of the account to perform the request from. |
post_id | string | Yes | — | The ID of the associated post. <br> Linkedin: use the social_id from the post object (GET post or list posts). The post id visible in url will not work in all case, you can refer here for more details : https://developer.unipile.com/docs/posts-and-comments <br> Instagram: Need to use the provider_id. Short code cannot be used here (www.instagram.com/p/SHORTCODE) |
unipile_linkedin_list_post_reactions
List all reactions from a post Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 100. |
comment_id | string | No | — | The id of the comment to get reactions from. <br> Linkedin: use the comment id returned by the comments list. |
account_id | string | No | — | The id of the account to perform the request from. |
post_id | string | Yes | — | The ID of the associated post. <br> Linkedin: use the social_id from the post object (GET post or list posts). The post id visible in url will not work in all case, you can refer here for more details : https://developer.unipile.com/docs/posts-and-comments |
unipile_linkedin_list_user_comments
List all comments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 100. |
account_id | string | Yes | — | The id of the account to perform the request from. |
identifier | string | Yes | — | The user’s provider internal id. |
unipile_linkedin_list_user_reactions
List all reactions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. The value can be set between 1 and 100. |
account_id | string | Yes | — | The id of the account to perform the request from. |
identifier | string | Yes | — | The user’s provider internal id. |
unipile_linkedin_perform_action_on_member
Perform an action with a user profile Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
user_id | string | Yes | — | The ID of the user. |
body | object | Yes | — | Request body |
unipile_linkedin_publish_job_posting
Publish a job posting Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
draft_id | string | Yes | — | The id of the draft to publish. |
body | object | Yes | — | Request body |
unipile_linkedin_search
Perform Linkedin search Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved. |
limit | integer | No | — | A limit for the number of items returned in the response. Can bet set up to 100 results for Sales Navigator and Recruiter, but Linkedin Classic shouldn’t exceed 50. |
account_id | string | Yes | — | The ID of the account to trigger the request from. |
body | object | Yes | — | Request body |
unipile_linkedin_select_contract
Select contract Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the contract. |
account_id | string | Yes | — | The ID of the account to trigger the request from. |
unipile_linkedin_send_comment
Comment a post Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
post_id | string | Yes | — | The ID of the associated post. <br> Linkedin: use the social_id from the post object (GET post or list posts). The post id visible in url will not work in all case, you can refer here for more details : https://developer.unipile.com/docs/posts-and-comments <br> Instagram Post short code dont work on this route, please use the provider_id instead. |
account_id | string | Yes | — | The id of the account to perform the request from. |
as_organization | string | No | — | Linkedin only Provide the ID of an organization over which you have control to perform the action on its behalf. |
attachments | string[] | No | — | On linkedin, only one image file is accepted with a resolution limited to 6012px x 6012px max. |
comment_id | string | No | — | The id of the comment to reply to. Linkedin: use the comment id returned by the comments list. |
external_link | string | No | — | Linkedin only An external link that should be displayed within a preview card. The URL must also be included in the post textual content. Otherwise, it will be automatically added at the end. |
mentions | object[] | No | — | Linkedin only |
text | string | Yes | — | Linkedin: You can add a mention by inserting the index of the corresponding entry from the mentions array between two double braces. Example: Hey {{0}}, check this out ! <br> Instagram: You can mention users by inserting their username in the text, like @username. |
unipile_linkedin_solve_job_checkpoint
Solve a job publishing checkpoint Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
draft_id | string | Yes | — | The id of the draft to solve the checkpoint from. |
account_id | string | Yes | — | An Unipile account id. |
input | string | Yes | — | The input value |

